#include <stdio.h>
#include <algorithm>
#define pr pair<double,double>
#define fr first
#define sc second
using namespace std;
int main()
{
	int n;
	scanf("%d", &n);
	pr a[n];
	double s = 0;
	for(int i = 0; i < n; i++)
	{
		scanf("%lf%lf", &a[i].sc, &a[i].fr);
		s += a[i].sc;
	}
	sort(a, a+n);
	double m = 0;
	for(int i = 0; i < n; i++)
	{
		m = max(m, s /100 * a[i].fr);
		s -= a[i].sc;
	}
	printf("%.4lf", m);
}